%global srcname pathable

Name:           python-%{srcname}
Version:        0.4.3
Release:        2
Summary:        Object-oriented paths

License:        Apache-2.0
URL:            https://github.com/p1c2u/pathable
Source:         %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(poetry-core) > 1


%global _description %{expand:
- Traverse resources like paths
- Access resources on demand with separate accessor layer
}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Jun 09 2023 Paul Wouters <paul.wouters@aiven.io> - 0.4.3-2
- use pyproject_wheel macro

- Initial build
* Mon Jun 05 2023 Joel Southcott <joels@aiven.io> - 0.4.3-1
- Initial build
